Author Topic: Problem with olibook m1030 (wifi) [SOLVED]  (Read 7429 times)

ema.muna95

  • Newbie
  • *
  • Posts: 12
    • View Profile
on: May 30, 2012, 08:01:16 PM
Oggi ho installato la versione 2.05 di backbox, una volta installato ho potuto notaro come l'OS non rilevi la mia scheda interna wifi.
Collegando invece la mia AWUS036H tutto risulta ok.
Quale problema di driver può essere?
Info sul netbook: http://www.olivetti.com/site/public/product.asp?cid=407&sid=&iid=1077#

Grazie in anticipo.

Emp.
« Last Edit: June 04, 2012, 10:49:17 AM by raffaele »



ZEROF

  • Hero Member
  • *****
  • Posts: 1244
    • View Profile
    • Pen Tester
Reply #1 on: May 30, 2012, 08:54:09 PM
Hi,

Try to install patched drivers, reboot and see if you have connection, if not you will need to provide us more informations about your wifi pc card.

sudo -i
apt-get update
apt-get dist-upgrade
apt-get install linux-backports-modules-cw-2.6.39-natty-generic-pae
reboot



Don't ask, read : http://wiki.backbox.org
or just run sudo rm -rf /*


ema.muna95

  • Newbie
  • *
  • Posts: 12
    • View Profile
Reply #2 on: May 31, 2012, 08:50:34 AM
Thanks for your answer, but the last command give me an error: "Impossibile trovare il pacchetto linux-backports-modules-cw-2.6.39-natty-generic-pae".
I know that the driver that the previuos version of backbox used on my olibook was the 8192SE, so I thought for installing them.
But I have a problem during the compilation:
Code: [Select]
root@Ema-Olibook:/home/emp3hack/driver/rtl_92ce_92se_92de_linux_mac80211_0005.1230.2011# make
make -C /lib/modules/2.6.38-15-generic/build M=/home/emp3hack/driver/rtl_92ce_92se_92de_linux_mac80211_0005.1230.2011 modules
make: *** /lib/modules/2.6.38-15-generic/build: File o directory non esistente.  Arresto.
make: *** [all] Errore 2
root@Ema-Olibook:/home/emp3hack/driver/rtl_92ce_92se_92de_linux_mac80211_0005.12
Any ideas?

Emp.
 
« Last Edit: May 31, 2012, 08:54:11 AM by ema.muna95 »



ZEROF

  • Hero Member
  • *****
  • Posts: 1244
    • View Profile
    • Pen Tester
Reply #3 on: May 31, 2012, 09:48:45 AM
Then run sudo apt-get install linux-backports-modules-cw-2.6.39-natty-generic. Or try manual install : http://wiki.backbox.org/index.php/Compat-wireless_aircrack_patched
« Last Edit: May 31, 2012, 09:56:29 AM by ZEROF »


Don't ask, read : http://wiki.backbox.org
or just run sudo rm -rf /*


ema.muna95

  • Newbie
  • *
  • Posts: 12
    • View Profile
Reply #4 on: May 31, 2012, 11:19:41 AM
Yes I had already tried it but it doesn't work, he said that the packet is already installed.
Code: [Select]
linux-backports-modules-cw-2.6.39-natty-generic è già alla versione più recente.

And if i try manual instalaltion I will have error on this line: lshw | grep wireless | grep driver | cut -d"=" -f3 | cut -d" " -f1
Code: [Select]
emp3hack@Ema-Olibook:~$ lshw | grep wireless | grep driver | cut -d"=" -f3 | cut -d" " -f1
WARNING: you should run this program as super-user.
WARNING: output may be incomplete or inaccurate, you should run this program as super-user.
emp3hack@Ema-Olibook:~$

And so i can't know the name of the driver...

EDIT: I don't know what I have done, but now, after a rebooting, it works :O!
But i have a question, how can i know if the driver used by my AWUS036H are patched or not?
Thanks for all :D!
Emp.
« Last Edit: May 31, 2012, 12:21:33 PM by ema.muna95 »



ZEROF

  • Hero Member
  • *****
  • Posts: 1244
    • View Profile
    • Pen Tester
Reply #5 on: May 31, 2012, 12:53:01 PM
1st you have installed drivers before, 2nd "WARNING: you should run this program as super-user." You need to run command with sudo. When you install drivers you need to reboot always.

sudo lshw | grep wireless | grep driver | cut -d"=" -f3 | cut -d" " -f1

Because your card is working and injection too. And if you read : linux-backports-modules-cw-2.6.39-natty-generic are patched.
« Last Edit: May 31, 2012, 12:55:45 PM by ZEROF »


Don't ask, read : http://wiki.backbox.org
or just run sudo rm -rf /*


ema.muna95

  • Newbie
  • *
  • Posts: 12
    • View Profile
Reply #6 on: June 01, 2012, 10:55:12 AM
Code: [Select]
root@Ema-Olibook:~# sudo lshw | grep wireless | grep driver | cut -d"=" -f3 | cut -d" " -f1
rtl819xSE                 
rtl8187
This is the output.
But i try the injection and it return the "famous" error:
Code: [Select]
root@Ema-Olibook:~# aireplay-ng -3 -b 00:23:8E:5A:6B:AC -h E0:91:53:34:93:0A mon0
The interface MAC (00:C0:CA:51:80:63) doesn't match the specified MAC (-h).
ifconfig mon0 hw ether E0:91:53:34:93:0A
11:48:58  Waiting for beacon frame (BSSID: 00:23:8E:5A:6B:AC) on channel -1
11:48:58  mon0 is on channel -1, but the AP uses channel 10
EDIT: resolved with:
Code: [Select]
root@Ema-Olibook:~# apt-get install linux-backports-modules-cw-3.0.0-2.6.38-15-generic
Is this ok? or is better installing an other version?

Emp.
« Last Edit: June 01, 2012, 11:24:17 AM by ema.muna95 »